import { h } from '../edel-elements.core.js';

class EdelValuegridItemValueComponent {
    render() {
        const unitSuffix = this.unit ? (h("span", { class: "is-unit" }, this.unit)) : null;
        return [h("slot", null), unitSuffix];
    }
    hostData() {
        return {
            class: 'valuegrid-item-value'
        };
    }
    static get is() { return "edel-valuegrid-item-value"; }
    static get properties() { return {
        "unit": {
            "type": String,
            "attr": "unit"
        }
    }; }
}

export { EdelValuegridItemValueComponent as EdelValuegridItemValue };
